package com.ruoyi.app.service;

import java.util.List;

import com.ruoyi.app.model.InspectionItem;

/**
 * 检查项目Service接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface IInspectionItemService 
{
    /**
     * 查询检查项目
     * 
     * @param id 检查项目主键
     * @return 检查项目
     */
    public InspectionItem selectInspectionItemById(Long id);

    /**
     * 查询检查项目列表
     * 
     * @param inspectionItem 检查项目
     * @return 检查项目集合
     */
    public List<InspectionItem> selectInspectionItemList(InspectionItem inspectionItem);

    /**
     * 校验项目名称是否唯一
     *
     * @param  inspectionItem 项目
     * @return 结果
     */
    public boolean checkItemNameUnique(InspectionItem inspectionItem);

    /**
     * 新增检查项目
     * 
     * @param inspectionItem 检查项目
     * @return 结果
     */
    public int insertInspectionItem(InspectionItem inspectionItem);

    /**
     * 修改检查项目
     * 
     * @param inspectionItem 检查项目
     * @return 结果
     */
    public int updateInspectionItem(InspectionItem inspectionItem);

    /**
     * 批量删除检查项目
     * 
     * @param ids 需要删除的检查项目主键集合
     * @return 结果
     */
    public int deleteInspectionItemByIds(Long[] ids);

    /**
     * 删除检查项目信息
     * 
     * @param id 检查项目主键
     * @return 结果
     */
    public int deleteInspectionItemById(Long id);
}
